## ros-iron-ntrip-client-node 0.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(ntrip_client_node)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)
# find_package(ament_cmake_uncrustify REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(std_msgs REQUIRED)
find_package(rtcm_msgs REQUIRED)
find_package(libcurl_vendor REQUIRED)

include_directories(include SYSTEM)

add_library(ntrip_client_components SHARED
  src/ntrip_client_node.cpp
)

target_compile_definitions(ntrip_client_components
  PRIVATE "NTRIP_CLIENT_NODE_BUILDING_DLL"
)

ament_target_dependencies(ntrip_client_components
  rclcpp
  rclcpp_components
  std_msgs
  rtcm_msgs
  libcurl_vendor
)

rclcpp_components_register_node(ntrip_client_components
  PLUGIN "ublox_dgnss::NTRIPClientNode"
  EXECUTABLE ntrip_client_node
)

install(TARGETS
  ntrip_client_components
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # the following line skips the linter which checks for copyrights
  # comment the line when a copyright and license is added to all source files
  set(ament_cmake_copyright_FOUND TRUE)
  # the following line skips cpplint (only works in a git repo)
  # comment the line when this package is in a git repo and when
  # a copyright and license is added to all source files
  set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-iron-ntrip-client-node (0.4.4-1jammy) jammy; urgency=high

  * cmake uncrustify changes
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-iron-ntrip-client-node (0.4.3-1jammy) jammy; urgency=high

  * added ament_cmake_uncrustify
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-iron-ntrip-client-node (0.4.2-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-iron-ntrip-client-node (0.4.1-1jammy) jammy; urgency=high

  * updates for release
  * reverted code for Humble logging
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * added a new ntrip_client node to pub rtcm msgs
  * Contributors: Nick Hortovanyi
  * reverted code for Humble logging
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * added a new ntrip_client node to pub rtcm msgs
  * Contributors: Nick Hortovanyi
  * reverted code for Humble logging
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * added a new ntrip_client node to pub rtcm msgs
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-iron-ntrip-client-node (0.3.5-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 24 May 2022 07:44:00 -0000

ros-iron-ntrip-client-node (0.3.4-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Mon, 23 May 2022 21:12:00 -0000

ros-iron-ntrip-client-node (0.3.3-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Mon, 23 May 2022 20:14:00 -0000

ros-iron-ntrip-client-node (0.3.2-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Fri, 13 May 2022 04:11:00 -0000

ros-iron-ntrip-client-node (0.3.1-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Fri, 13 May 2022 02:43:00 -0000

ros-iron-ntrip-client-node (0.3.0-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Fri, 13 May 2022 00:26:00 -0000

ros-iron-ntrip-client-node (0.2.3-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Sat, 24 Jul 2021 14:00:00 -0000

ros-iron-ntrip-client-node (0.2.2-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Wed, 21 Jul 2021 21:14:00 -0000

ros-iron-ntrip-client-node (0.2.1-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Wed, 21 Jul 2021 19:24:00 -0000

ros-iron-ntrip-client-node (0.2.0-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Mon, 19 Jul 2021 14:00:00 -0000

ros-iron-ntrip-client-node (0.1.0-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Sat, 10 Jul 2021 14:00:00 -0000

=== debian/control ===
Source: ros-iron-ntrip-client-node
Section: misc
Priority: optional
Maintainer: Nick Hortovanyi <nick@aussierobots.com.au>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-iron-ament-cmake, ros-iron-ament-cmake-copyright <!nocheck>, ros-iron-ament-cmake-cppcheck <!nocheck>, ros-iron-ament-cmake-uncrustify <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-libcurl-vendor, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rtcm-msgs, ros-iron-ros-workspace
Homepage: https://github.com/aussierobots/ublox_dgnss
Standards-Version: 3.9.2

Package: ros-iron-ntrip-client-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-libcurl-vendor, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rtcm-msgs, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Publishes RTCM ntrip messages from an external mountpoint

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-ntrip-client-node//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
